------ All content © 2008 DigiPen (USA) Corporation, all rights reserved. ------
-- Author: Ian Eller
-- Updated: 09/22/2008, ice

dofile( "../../Assets/Scripts/util_math.lua" )

local iC = vec3.construct( 1.0, 0.0, 0.0 )

while( 1 ) 
do
  coroutine.yield( 1 )
  
  local posCen = Entity:SHR_gPosition()
  local posUL = vec3.add( posCen, vec3.construct( 10, 0, 10 ) )
  local posUR = vec3.add( posCen, vec3.construct( -10, 0, 10 ) ) 
  local posBL = vec3.add( posCen, vec3.construct( 10, 0, -10 ) ) 
  local posBR = vec3.add( posCen, vec3.construct( -10, 0, -10 ) ) 
  
  Global:AddDebugLineExtra(  posCen.x, posCen.y, posCen.z,
                             posUL.x , posUL.y , posUL.z,
                             iC.x, iC.y, iC.z,
                             1  )
  Global:AddDebugLineExtra(  posCen.x, posCen.y, posCen.z,
                             posUR.x , posUR.y , posUR.z,
                             iC.x, iC.y, iC.z,
                             1  )
  Global:AddDebugLineExtra(  posCen.x, posCen.y, posCen.z,
                             posBL.x , posBL.y , posBL.z,
                             iC.x, iC.y, iC.z,
                             1  )
  Global:AddDebugLineExtra(  posCen.x, posCen.y, posCen.z,
                             posBR.x , posBR.y , posBR.z,
                             iC.x, iC.y, iC.z,
                             1  )
end
